summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/tests/test_blackbox.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/source4/script/tests/test_blackbox.sh b/source4/script/tests/test_blackbox.sh
new file mode 100755
index 0000000000..484310605e
--- /dev/null
+++ b/source4/script/tests/test_blackbox.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# this runs tests that interact directly with the command-line tools rather than using the API
+
+if [ $# -lt 5 ]; then
+cat <<EOF
+Usage: test_blackbox.sh SERVER USERNAME PASSWORD DOMAIN PREFIX [...]
+EOF
+exit 1;
+fi
+
+SERVER=$1
+USERNAME=$2
+PASSWORD=$3
+DOMAIN=$4
+PREFIX=$5
+shift 5
+ADDARGS="$@"
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+testit "smbclient" $incdir/../../../testprogs/blackbox/test_smbclient.sh "$SERVER" "$USERNAME" "$PASSWORD" "$DOMAIN" "$PREFIX" "$ADDARGS"
+testit "cifsdd" $incdir/../../../testprogs/blackbox/test_cifsdd.sh "$SERVER" "$USERNAME" "$PASSWORD" "$DOMAIN" "$ADDARGS"
+
+testok $0 $failed